> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get configuration

> Returns the configuration of a given group in a given version. Contains data based on which the Chat Widget can be built.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json get /action/get_configuration
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/get_configuration:
    get:
      tags:
        - Configuration
      summary: Get configuration
      description: >-
        Returns the configuration of a given group in a given version. Contains
        data based on which the Chat Widget can be built.
      operationId: get-configuration
      parameters:
        - $ref: '#/components/parameters/organization_id'
        - name: group_id
          in: query
          required: true
          schema:
            type: integer
          description: The ID of the group that you want to get a configuration for.
        - name: version
          in: query
          required: true
          schema:
            type: string
          description: >-
            The version that you want to get a configuration for. Returned from
            Get Dynamic Configuration as the `config_version` parameter.
      responses:
        '200':
          description: Configuration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfigurationResponse'
              example:
                buttons:
                  - id: 0466ba53cb
                    type: image
                    online_value: >-
                      livechat.s3.amazonaws.com/default/buttons/button_online007.png
                    offline_value: >-
                      livechat.s3.amazonaws.com/default/buttons/button_offline007.png
                  - id: 08ca886ba8
                    type: image
                    online_value: >-
                      livechat.s3.amazonaws.com/default/buttons/button_online003.png
                    offline_value: >-
                      livechat.s3.amazonaws.com/default/buttons/button_offline003.png
                  - id: 3344e63cad
                    type: text
                    online_value: Live chat now
                    offline_value: Leave us a message
                ticket_form: {}
                prechat_form: {}
                integrations: {}
                properties:
                  group: {}
                  license: {}
      security: []
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    GetConfigurationResponse:
      type: object
      properties:
        buttons:
          type: array
          items:
            type: object
            additionalProperties: true
          description: Chat widget buttons.
        ticket_form:
          type: object
          additionalProperties: true
          description: Ticket form configuration. Optional.
        prechat_form:
          type: object
          additionalProperties: true
          description: Prechat form configuration. Optional.
        integrations:
          type: object
          additionalProperties: true
        properties:
          type: object
          additionalProperties: true
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````